<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__input__selection" kind="group">
    <compoundname>group_tcpwm_input_selection</compoundname>
    <title>TCPWM Input Selection</title>
      <sectiondef kind="define">
      <memberdef id="group__group__tcpwm__input__selection_1ga86b8267d250e656f6e79fbd703bce944" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_0</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Input is tied to logic 0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="313" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="313" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1ga7369f85b221bf7c70e1a580daa6a6bef" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_1</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Input is tied to logic 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="314" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="314" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1gabe343e8f0821b0b0a5853f11b0da2f47" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_0</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="315" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="315" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1gaae060090a4a95ad4b6ae724c715effa9" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_1</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="316" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="316" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1ga88445bb1795b9a942d93284a34928a8a" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_2</name>
        <initializer>(4U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="317" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="317" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1ga022fb4534870f2f70d96a8be369faded" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_3</name>
        <initializer>(5U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="318" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="318" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1ga614d5767fda695e659541aedb54cd6ad" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_4</name>
        <initializer>(6U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 4. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="319" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="319" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1gae135ae2ee5a9e693e23448a677f49c07" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_5</name>
        <initializer>(7U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 5. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="320" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="320" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1ga0ce0d6fac5b1086b6400b456c038e422" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_6</name>
        <initializer>(8U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 6. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="321" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="321" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1ga5c2df13af2e9b28f753d7578f78b5df4" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_7</name>
        <initializer>(9U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 7. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="322" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="322" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1ga916d8db98508235aadf4912ef3d6ca13" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_8</name>
        <initializer>(10U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 8. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="323" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="323" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1gaf27295bc3270bcb5467905f92679c7de" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_9</name>
        <initializer>(11U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 9. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="324" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="324" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1gae36951351e06e1002c3cffa96a52f2a4" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_10</name>
        <initializer>(12U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 10. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="325" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="325" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1ga78ba72a71728dfa3fd0ea27256964a51" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_11</name>
        <initializer>(13U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 11. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="326" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="326" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1gaebe56546700f098c04c3b7540bb4b039" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_12</name>
        <initializer>(14U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 12. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="327" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="327" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1gab72f09ee77ffc56587d3ad52e421cbb8" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_TRIG_13</name>
        <initializer>(15U)</initializer>
        <briefdescription>
<para>Input is connected to the trigger input 13. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="328" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="328" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__selection_1gab72d2611582663c0cad83e2dc87daf81" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_CREATOR</name>
        <initializer>(0xFFFFFFFFU)</initializer>
        <briefdescription>
<para>Input is defined by Creator, and Init() function does not need to configure input. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="331" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="331" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Selects which input to use. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>